Subject: Re: l2tp-digest V1000 #171

From: Jacob Teplitsky <[email-masked]>
Date: Mon, 17 Jan 2000 18:14:08 -0800 (PST)

> Date: Sun, 16 Jan 2000 22:44:44 -0500
> From: "W. Mark Townsley" <[email-masked]>
> Subject: L2TP Minutes from VPN interoperability workshop town meeting
> 
> 
> SLI/ACCM race condition
> Upon receipt of an SLI, an LAC might apply a new ACCM value before it
> finishes tunneling LCP packets to the PPP client. If the PPP client is
> strict about ACCM (as some are), the LCP packet could be dropped due to
> invalid escaping, causing PPP negotiation to never converge.
> 
> Proposed fix for the SLI/ACCM race condition:
> An SLI that is not clearing any ACCM bits at the LAC can always be
> immediately applied If an SLI is received that will clear any ACCM bits,
> the LAC goes into ACCM Pending state.  It sniffs all outgoing packets
> until it sees a packet (from the LNS) with a Protocol ID less than
> 0xC000. LCP and the authentication protocols are all greater than
> 0xC000. Likewise, all of the NCPs and data protocols are less than
> 0xC000. Thus a packet with a Protocol ID less than 0xC000 indicates that
> LCP is Open at both ends of the connection. At this point, the new ACCM
> mask may be applied
> 
Why LNS/PPP API can't delay sending SLI with ACCM bits until
it sends/receives a packet with a Protocol ID less than  0xC000 ?

Thanks
- Jacob